@extends('layout.header')
@section('content')
<div class="breadcrumbbar">
    <div class="row align-items-center">
        <div class="col-md-12 col-lg-12">
            <h4 class="page-title">Patient</h4>
            <div class="breadcrumb-list">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Home</a></li>
                    <li class="breadcrumb-item"><a href="{{ route('patients') }}">Patient</a></li>
                    <li class="breadcrumb-item active" aria-current="page">Patient Details</li>
                </ol>
            </div>
        </div>

    </div>
</div>
<!-- Start Contentbar -->
<div class="contentbar">
    <!-- Start row -->
    <div class="row">
        <!-- Start col -->
        <div class="col-lg-12">
            <div class="card m-b-30">
                <div class="card-header">
                    <h5 class="card-title mb-0">Edit Profile Informations</h5>
                </div>
                <div class="card-body">
                    <form id="add_category" action="{{ route('update-patient') }}">
                        @csrf
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="appointno">Name</label>
                                <input type="hidden" value="{{$data->id}}" class="form-control" name="id">
                                <input type="text" class="form-control" value="{{$data->name}}" name="name">
                            </div>
                            <div class="form-group col-md-6">
                                <label for="appointno">Age</label>
                                <input type="number" class="form-control" value="{{$data->age}}" name="age">
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="appointno">Gender</label>
                                <select name="sex" class="form-control">
                                    <option value="Male" {{ $data->sex == 'Male' ? 'selected' : '' }}>Male</option>
                                    <option value="Female" {{ $data->sex == 'Female' ? 'selected' : '' }}>Female</option>
                                </select>
                            </div>
                            <div class="form-group col-md-6">
                                <label for="appointno">City</label>
                                <input type="text" class="form-control" value="{{$data->city}}" name="city">
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="appointno">State</label>
                                <input type="text" class="form-control" value="{{$data->state}}" name="state">
                            </div>
                            <div class="form-group col-md-6">
                                <label for="appointno">Postal Code</label>
                                <input type="text" class="form-control" value="{{$data->postal_code}}" name="postal_code">
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="appointno">conatct Person</label>
                                <input type="text" class="form-control" value="{{$data->contact_person}}" name="conatct_person">
                            </div>
                            <div class="form-group col-md-6">
                                <label for="appointno">conatct Number</label>
                                <input type="text" class="form-control" value="{{$data->contact_phone}}" name="phone">
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="appointno">Contact Diagnosis</label>
                                <input type="text" class="form-control" value="{{$data->contact_diagnosis}}" name="contact_diagnosis">
                            </div>
                            <div class="form-group col-md-6">
                                <label for="appointno">Landmark</label>
                                <input type="text" class="form-control" value="{{$data->landmark}}" name="landmark">
                            </div>
                            <div class="form-group col-md-12">
                                <label for="appointno">Address</label>
                                <textarea class="form-control" name="address">{{$data->address}}</textarea>
                            </div>
                        </div>
                        <button type="submit" class="btn btn-primary font-16"><i class="feather icon-save mr-2"></i>Update</button>
                    </form>
                </div>
            </div>
        </div>
        <!-- End col -->
    </div>
    <!-- End row -->
</div>
<!-- End Contentbar -->

<script>
    $('#add_category').submit(function(e) {
        e.preventDefault();
        var url = $(this).attr("action");
        let formData = new FormData(this);
        $.ajax({
            type: 'POST',
            url: url,
            data: formData,
            contentType: false,
            processData: false,
            success: function(result) {
                if (result.status == true) {
                    $('.table').DataTable().ajax.reload();
                    toastr.success(result.data);
                    location.reload();
                } else if (result.status == false) {
                    toastr.error(result.data);
                }
            },
            error: function(err) {
                // Your Error Message
                toastr.error(err.data);
            }
        });
    });
</script>
@endsection
@extends('layout.footer')