@extends('layout.header')
@section('content')
<div class="breadcrumbbar">
    <div class="row align-items-center">
        <div class="col-md-8 col-lg-8">
            <h4 class="page-title">Patient</h4>
            <div class="breadcrumb-list">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Home</a></li>
                    <li class="breadcrumb-item"><a href="{{ route('patients') }}">Patient</a></li>
                    <li class="breadcrumb-item active" aria-current="page">Patient Details</li>
                </ol>
            </div>
        </div>
        <div class="col-md-4 col-lg-4">
            <div class="widgetbar">
                <!-- Button trigger modal -->
                <a href="{{route('patient-edit', ['id' => $data->id])}}" class="btn btn-success-rgba">Edit Patient Details</a>
                <button type="button" class="btn btn-primary-rgba" data-toggle="modal" data-target="#exampleModalCenter"><i class="feather icon-plus mr-2"></i>Add patient</button>
                <!-- Modal -->
                <div class="modal fade text-left" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalCenterTitle">Add New Patient</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <form id="add_category" action="{{ route('save-patient') }}">
                                    @csrf
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="appointno">Name</label>
                                            <input type="text" class="form-control" name="name">
                                        </div>
                                    </div>

                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="appointno">Age</label>
                                            <input type="number" class="form-control" name="age">
                                        </div>
                                    </div>

                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="appointno">Gender</label>
                                            <select name="sex" class="form-control">
                                                <option value="Male">Male</option>
                                                <option value="Female">Female</option>
                                            </select>
                                        </div>
                                    </div>

                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="appointno">City</label>
                                            <input type="text" class="form-control" name="city">
                                        </div>
                                    </div>

                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="appointno">State</label>
                                            <input type="text" class="form-control" name="state">
                                        </div>
                                    </div>

                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="appointno">Postal Code</label>
                                            <input type="text" class="form-control" name="postal_code">
                                        </div>
                                    </div>

                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="appointno">conatct Person</label>
                                            <input type="text" class="form-control" name="contact_person">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="appointno">conatct Number</label>
                                            <input type="text" class="form-control" name="phone">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="appointno">Contact Diagnosis</label>
                                            <input type="text" class="form-control" name="contact_diagnosis">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="appointno">Address</label>
                                            <textarea class="form-control" name="address"></textarea>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="submit" class="btn btn-primary"><i class="feather icon-plus mr-2"></i>Add patient</button>
                                    </div>
                                </form>
                            </div>

                        </div>
                    </div>
                </div>


            </div>
        </div>
    </div>
</div>
<!-- Start Contentbar -->
<div class="contentbar">
    <!-- Start row -->
    <div class="row">
        <!-- Start col -->
        <div class="col-lg-12">
            <div class="card m-b-30">
                <div class="card-header">
                    <h5 class="card-title mb-0">Profile Informations</h5>
                </div>
                <div class="card-body">
                    <div class="tab-content" id="v-pills-product-tabContent">
                        <div class="tab-pane fade show active" id="v-pills-general" role="tabpanel" aria-labelledby="v-pills-general-tab">

                            <div class="form-group row">
                                <label for="regularPrice" class="col-sm-4 col-form-label">Patient Name</label>
                                <div class="col-sm-8">
                                    <label for="regularPrice" class="col-sm-4 col-form-label">{{ucfirst($data->name)}}</label>
                                </div>
                            </div>
                            <div class="form-group row mb-0">
                                <label for="salePrice" class="col-sm-4 col-form-label">Age</label>
                                <div class="col-sm-8">
                                    <label for="regularPrice" class="col-sm-4 col-form-label">{{$data->age}}</label>
                                </div>
                            </div>
                            <div class="form-group row mb-0">
                                <label for="salePrice" class="col-sm-4 col-form-label">Gender</label>
                                <div class="col-sm-8">
                                    <label for="regularPrice" class="col-sm-4 col-form-label">{{$data->sex}}</label>
                                </div>
                            </div>
                            <div class="form-group row mb-0">
                                <label for="salePrice" class="col-sm-4 col-form-label">Address</label>
                                <div class="col-sm-8">
                                    <label for="regularPrice" class="col-sm-4 col-form-label">{{ucfirst($data->address)}}</label>
                                </div>
                            </div>
                            <div class="form-group row mb-0">
                                <label for="salePrice" class="col-sm-4 col-form-label">Landmark</label>
                                <div class="col-sm-8">
                                    <label for="regularPrice" class="col-sm-4 col-form-label">{{ucfirst($data->landmark)}}</label>
                                </div>
                            </div>
                            <div class="form-group row mb-0">
                                <label for="salePrice" class="col-sm-4 col-form-label">City</label>
                                <div class="col-sm-8">
                                    <label for="regularPrice" class="col-sm-4 col-form-label">{{ucfirst($data->city)}}</label>
                                </div>
                            </div>
                            <div class="form-group row mb-0">
                                <label for="salePrice" class="col-sm-4 col-form-label">State</label>
                                <div class="col-sm-8">
                                    <label for="regularPrice" class="col-sm-4 col-form-label">{{ucfirst($data->state)}}</label>
                                </div>
                            </div>
                            <div class="form-group row mb-0">
                                <label for="salePrice" class="col-sm-4 col-form-label">Postal_code</label>
                                <div class="col-sm-8">
                                    <label for="regularPrice" class="col-sm-4 col-form-label">{{$data->postal_code}}</label>
                                </div>
                            </div>
                            <div class="form-group row mb-0">
                                <label for="salePrice" class="col-sm-4 col-form-label">Conatact Person</label>
                                <div class="col-sm-8">
                                    <label for="regularPrice" class="col-sm-4 col-form-label">{{ucfirst($data->contact_person)}}</label>
                                </div>
                            </div>
                            <div class="form-group row mb-0">
                                <label for="salePrice" class="col-sm-4 col-form-label">Contact Phone</label>
                                <div class="col-sm-8">
                                    <label for="regularPrice" class="col-sm-4 col-form-label">{{$data->contact_phone}}</label>
                                </div>
                            </div>
                            <div class="form-group row mb-0">
                                <label for="salePrice" class="col-sm-4 col-form-label">Contact Diagnosis</label>
                                <div class="col-sm-8">
                                    <label for="regularPrice" class="col-sm-4 col-form-label">{{$data->contact_diagnosis}}</label>
                                </div>
                            </div>

                        </div>

                    </div>
                </div>
            </div>


            <div class="card m-b-30">
                <div class="card-header">
                    <h5 class="card-title">Service log List</h5>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-borderless data-table">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Patient</th>
                                    <th>Vounteer</th>
                                    <th>Service</th>
                                    <th>Date</th>
                                    <th>Time</th>
                                    <th>Quantity</th>
                                    <th>Remarks</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- End col -->
    </div>
    <!-- End row -->
</div>
<!-- End Contentbar -->
<div class="modal fade" id="delete_data" tabindex="-1" role="dialog" aria-labelledby="exampleStandardModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleStandardModalLabel">Delete Data</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <p class="text-muted">Are you sure you want to delete this item?</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" id="delete_item" data-dismiss="modal" class="btn btn-primary">Delete Changes</button>
            </div>
        </div>
    </div>
</div>

<script>
    $('#add_category').submit(function(e) {
        e.preventDefault();
        var url = $(this).attr("action");
        let formData = new FormData(this);
        $.ajax({
            type: 'POST',
            url: url,
            data: formData,
            contentType: false,
            processData: false,
            success: function(result) {
                if (result.status == true) {
                    $('.table').DataTable().ajax.reload();
                    toastr.success(result.data);
                } else if (result.status == false) {
                    toastr.error(result.data);
                }
            },
            error: function(err) {
                // Your Error Message
                toastr.error(err.data);
            }
        });
    });


    $(function() {
        $('.table').DataTable({
            processing: true,
            serverSide: true,
            dom: 'Bfrtip', // Define the position of the buttons
            buttons: [{
                    extend: 'copyHtml5',
                    text: 'Copy',
                    titleAttr: 'Copy'
                },
                {
                    extend: 'excelHtml5',
                    text: 'Excel',
                    titleAttr: 'Export to Excel'
                },
                {
                    extend: 'pdfHtml5',
                    text: 'PDF',
                    titleAttr: 'Export to PDF'
                },
                {
                    extend: 'print',
                    text: 'Print',
                    titleAttr: 'Print'
                }
            ],
            ajax: "{{ route('get-patient-service-log',['id'=>$data->id]) }}",
            columns: [{
                    data: 'DT_RowIndex',
                    name: 'DT_RowIndex'
                },
                {
                    data: 'patient',
                    name: 'patient'
                },
                {
                    data: 'volunteer',
                    name: 'volunteer'
                },
                {
                    data: 'service',
                    name: 'service'
                },
                {
                    data: 'date',
                    name: 'date'
                },
                {
                    data: 'time',
                    name: 'time'
                },
                {
                    data: 'quantity',
                    name: 'quantity'
                },
                {
                    data: 'remarks',
                    name: 'remarks'
                },
                {
                    data: 'action',
                    name: 'action',
                    orderable: false,
                    searchable: false
                },
            ],
            "select": {
                'style': 'multi',
                'selector': 'td:first-child' //only checkbox can select row 
            },

        });

        var deleteID;
        $('body').on('click', '#getDeleteId', function() {
            deleteID = $(this).data('id');
        })


        $(document).on('click', '#delete_item', function(e) {
            var id = deleteID;
            e.preventDefault();
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token" ]').attr('content')
                }
            });
            $.ajax({
                url: "{{ route('delete-service-log') }}",
                method: "GET",
                data: {
                    'id': id
                },
                success: function(result) {

                    if (result == 1) {
                        toastr.success("Data Deleted Successfully.");
                    } else if (result == 0) {
                        toastr.error("Something went wrong.");
                    } else {
                        toastr.error(result);
                    }
                    $('.table').DataTable().ajax.reload();
                }
            });
        });
    });
</script>
@endsection
@extends('layout.footer')