<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ServiceController;
use App\Http\Controllers\Auth\AuthController;
use App\Http\Controllers\VolunteerController;
use App\Http\Controllers\PatientController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', [AuthController::class, 'index'])->name('login');
Route::post('post-login', [AuthController::class, 'postLogin'])->name('login.post');

Route::get('registration', [AuthController::class, 'registration'])->name('register');

Route::post('post-registration', [AuthController::class, 'postRegistration'])->name('register.post');

Route::middleware(['auth'])->group(
    function () {
        Route::get('service/category', function () {
            return view('admin.service-category');
        })->name('service-category');


        Route::get('delete-service-category', [ServiceController::class, 'deleteServiceCategory'])->name('delete-service-category');
        Route::get('get-service-category', [ServiceController::class, 'getServiceCategory'])->name('get-service-category');
        Route::post('save-service-category', [ServiceController::class, 'saveServiceCategory'])->name('save-service-category');
        Route::post('update-service-category', [ServiceController::class, 'updateServiceCategory'])->name('update-service-category');


        Route::get('service/', function () {
            return view('admin.service');
        })->name('service');

        Route::get('delete-service', [ServiceController::class, 'deleteService'])->name('delete-service');
        Route::get('get-service', [ServiceController::class, 'getService'])->name('get-service');
        Route::post('save-service', [ServiceController::class, 'saveService'])->name('save-service');
        Route::post('update-service', [ServiceController::class, 'updateService'])->name('update-service');
        Route::post('load-service', [ServiceController::class, 'loadService'])->name('load-service');

        Route::get('service/log', function () {
            return view('admin.servicelog');
        })->name('service-log');

        Route::get('add/service/log', function () {
            return view('admin.service-log-add');
        })->name('add-service-log');

        Route::get('delete-service-log', [ServiceController::class, 'deleteServicelog'])->name('delete-service-log');
        Route::get('get-service-log', [ServiceController::class, 'getServicelog'])->name('get-service-log');
        Route::post('save-service-log', [ServiceController::class, 'saveServicelog'])->name('save-service-log');
        Route::post('update-service-log', [ServiceController::class, 'updateServicelog'])->name('update-service-log');
        Route::get('get-patient-service-log/{id}', [ServiceController::class, 'getPatientServicelog'])->name('get-patient-service-log');
        Route::get('edit-service-log/{id}', [ServiceController::class, 'editServicelog'])->name('edit-service-log');
        Route::post('update-service-log', [ServiceController::class, 'updateServicelog'])->name('update-service-log');


        Route::get('stock/', function () {
            return view('admin.stock');
        })->name('stock');

        Route::get('delete-stock', [ServiceController::class, 'deleteStock'])->name('delete-stock');
        Route::get('get-stock', [ServiceController::class, 'getStock'])->name('get-stock');
        Route::post('save-stock', [ServiceController::class, 'saveStock'])->name('save-stock');
        Route::post('update-stock', [ServiceController::class, 'updateStock'])->name('update-stock');


        Route::post('change-password', [AuthController::class, 'changepassword'])->name('change-password');


        Route::get('dashboard', [AuthController::class, 'dashboard'])->name('dashboard');
        // Route::get('service/category', [ServiceController::class, 'serviceCategory']);
        Route::get('logout', [AuthController::class, 'logout'])->name('logout');


        Route::get('volunteer', function () {
            return view('admin.volunteer');
        })->name('volunteer');

        Route::get('delete-volunteer', [VolunteerController::class, 'deletevolunteer'])->name('delete-volunteer');
        Route::get('get-volunteer', [VolunteerController::class, 'getvolunteer'])->name('get-volunteer');
        Route::post('save-volunteer', [VolunteerController::class, 'savevolunteer'])->name('save-volunteer');
        Route::post('update-volunteer', [VolunteerController::class, 'updatevolunteer'])->name('update-volunteer');

        Route::get('patients', function () {
            return view('admin.patient');
        })->name('patients');

        Route::get('delete-patient', [PatientController::class, 'deletepatient'])->name('delete-patient');
        Route::get('get-patient', [PatientController::class, 'getpatient'])->name('get-patient');
        Route::post('save-patient', [PatientController::class, 'savepatient'])->name('save-patient');
        Route::post('update-patient', [PatientController::class, 'updatepatient'])->name('update-patient');
        Route::get('view-patient/{id}', [PatientController::class, 'viewpatient'])->name('patient-view');
        Route::get('edit-patient/{id}', [PatientController::class, 'editpatient'])->name('patient-edit');
    }
);
